	.text
	.balign	4
_i2cStart
	sub	sp, #4
	wrlong	r14, sp
	mov	r14, sp
	mov	r7, DIRA
	or	r7, _sda_mask
	mov	DIRA, r7
	mov	r7, CNT
	add	r7, _half_cycle
	waitcnt	r7,#0
	mov	r7, DIRA
	or	r7, _scl_mask
	mov	DIRA, r7
	mov	sp, r14
	rdlong	r14, sp
	add	sp, #4
	'native return
_i2cStart_ret
	ret
	.balign	4
_i2cSendByte
	sub	sp, #4
	wrlong	r14, sp
	mov	r14, sp
	mov	r6, #8
	mov	r7, #8
	'' loop_start register r7 level #1
.L5
	test	r0,#0x80 wz
	mov	r5, DIRA
	IF_NE andn	r5, _sda_mask
	IF_E  or	r5, _sda_mask
	mov	DIRA, r5
	mov	r5, CNT
	add	r5, _half_cycle
	waitcnt	r5,#0
	mov	r5, DIRA
	andn	r5, _scl_mask
	mov	DIRA, r5
	mov	r5, CNT
	add	r5, _half_cycle
	waitcnt	r5,#0
	mov	r5, DIRA
	or	r5, _scl_mask
	mov	DIRA, r5
	shl	r0, #1
	and	r0,#255
	sub	r6, #1 wz
	djnz	r7,#.L5
	mov	r7, DIRA
	andn	r7, _sda_mask
	mov	DIRA, r7
	mov	r7, CNT
	add	r7, _half_cycle
	waitcnt	r7,#0
	mov	r7, DIRA
	andn	r7, _scl_mask
	mov	DIRA, r7
	mov	r7, INA
	test	r7,_sda_mask wz
	mov	r0, #0
	muxnz	r0,#1
	mov	r7, CNT
	add	r7, _half_cycle
	waitcnt	r7,#0
	mov	r7, DIRA
	or	r7, _scl_mask
	mov	DIRA, r7
	mov	r7, DIRA
	or	r7, _sda_mask
	mov	DIRA, r7
	mov	sp, r14
	rdlong	r14, sp
	add	sp, #4
	'native return
_i2cSendByte_ret
	ret
	.balign	4
_i2cReceiveByte
	sub	sp, #4
	wrlong	r14, sp
	mov	r14, sp
	mov	r7, DIRA
	andn	r7, _sda_mask
	mov	DIRA, r7
	mov	r5, #8
	mov	r6, #0
	mov	r7, #8
	'' loop_start register r7 level #1
.L8
	mov	r4, CNT
	add	r4, _half_cycle
	waitcnt	r4,#0
	mov	r4, DIRA
	andn	r4, _scl_mask
	mov	DIRA, r4
	mov	r4, INA
	shl	r6, #1
	test	r4,_sda_mask wz
	mov	r4, #0
	muxnz	r4,#1
	or	r6, r4
	and	r6,#255
	mov	r4, CNT
	add	r4, _half_cycle
	waitcnt	r4,#0
	mov	r4, DIRA
	or	r4, _scl_mask
	mov	DIRA, r4
	sub	r5, #1 wz
	djnz	r7,#.L8
	cmp	r0, #0 wz
	mov	r7, DIRA
	IF_NE or	r7, _sda_mask
	IF_E  andn	r7, _sda_mask
	mov	DIRA, r7
	mov	r7, CNT
	add	r7, _half_cycle
	waitcnt	r7,#0
	mov	r7, DIRA
	andn	r7, _scl_mask
	mov	DIRA, r7
	mov	r7, CNT
	add	r7, _half_cycle
	waitcnt	r7,#0
	mov	r7, DIRA
	or	r7, _scl_mask
	mov	DIRA, r7
	mov	r7, DIRA
	or	r7, _sda_mask
	mov	DIRA, r7
	mov	r0, r6
	mov	sp, r14
	rdlong	r14, sp
	add	sp, #4
	'native return
_i2cReceiveByte_ret
	ret
	.balign	4
_i2cStop
	sub	sp, #4
	wrlong	r14, sp
	mov	r14, sp
	mov	r7, CNT
	add	r7, _half_cycle
	waitcnt	r7,#0
	mov	r7, DIRA
	andn	r7, _scl_mask
	mov	DIRA, r7
	mov	r7, DIRA
	andn	r7, _sda_mask
	mov	DIRA, r7
	mov	sp, r14
	rdlong	r14, sp
	add	sp, #4
	'native return
_i2cStop_ret
	ret
	.balign	4
_ConfigureGyro
	sub	sp, #4
	wrlong	r14, sp
	mov	r14, sp
	rdlong	r6, r0
	mov	r7, #1
	mov	r5, r7
	shl	r5, r6
	mov	r6, r5
	mov	_scl_mask, r5
	add	r0, #4
	rdlong	r5, r0
	shl	r7, r5
	mov	_sda_mask, r7
	mov	_half_cycle, .LC0
	xor	r6,__MASK_FFFFFFFF
	mov	r5, DIRA
	and	r5, r6
	mov	DIRA, r5
	xor	r7,__MASK_FFFFFFFF
	mov	r5, DIRA
	and	r5, r7
	mov	DIRA, r5
	mov	r5, OUTA
	and	r6, r5
	mov	OUTA, r6
	mov	r6, OUTA
	and	r7, r6
	mov	OUTA, r7
	call	#_i2cStart
	mov	r0, #210
	call	#_i2cSendByte
	mov	r0, #34
	call	#_i2cSendByte
	mov	r0, #8
	call	#_i2cSendByte
	call	#_i2cStop
	call	#_i2cStart
	mov	r0, #210
	call	#_i2cSendByte
	mov	r0, #35
	call	#_i2cSendByte
	mov	r0, #128
	call	#_i2cSendByte
	call	#_i2cStop
	call	#_i2cStart
	mov	r0, #210
	call	#_i2cSendByte
	mov	r0, #32
	call	#_i2cSendByte
	mov	r0, #31
	call	#_i2cSendByte
	call	#_i2cStop
	mov	sp, r14
	rdlong	r14, sp
	add	sp, #4
	'native return
_ConfigureGyro_ret
	ret
	.balign	4
.LC0
	long	7968
	.balign	4
	.global	_main
_main
	mov	r0, PAR
	mov	r7, r0
	add	r7, #8
	rdlong	r9, r7
	call	#_ConfigureGyro
	mov	r6, r9
	add	r6, #4
	neg	r7, #4
	add	r7, r14
	wrlong	r6, r7
	mov	r8, r9
	add	r8, #8
.L15
	call	#_i2cStart
	mov	r0, #210
	call	#_i2cSendByte
	mov	r0, #168
	call	#_i2cSendByte
	call	#_i2cStop
	call	#_i2cStart
	mov	r0, #211
	call	#_i2cSendByte
	mov	r0, #1
	call	#_i2cReceiveByte
	mov	r13, r0
	mov	r0, #1
	call	#_i2cReceiveByte
	mov	r11, r0
	shl	r11, #8
	or	r11, r13
	shl	r11, #16
	sar	r11, #16
	mov	r0, #1
	call	#_i2cReceiveByte
	mov	r13, r0
	mov	r0, #1
	call	#_i2cReceiveByte
	mov	r12, r0
	shl	r12, #8
	or	r12, r13
	shl	r12, #16
	sar	r12, #16
	mov	r0, #1
	call	#_i2cReceiveByte
	mov	r10, r0
	mov	r0, #0
	call	#_i2cReceiveByte
	mov	r13, r0
	shl	r13, #8
	or	r13, r10
	shl	r13, #16
	sar	r13, #16
	call	#_i2cStop
	wrlong	r11, r9
	neg	r6, #4
	add	r6, r14
	rdlong	r6, r6
	wrlong	r12, r6
	wrlong	r13, r8
	jmp	#.L15
_scl_mask
	long	0
_sda_mask
	long	0
_half_cycle
	long	0
